/*
 * Copyright 2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.cementframework.querybyproxy.shared.api.model.conditionals;

/**
 * Represent a query operator (=,>,<,in,empty ...).
 *
 * @author allenparslow
 */
public enum ComparisonOperator {

    // TDOD: add interface???
    EXISTS("exists"),
    NOT_EXISTS("not exists"),
    IS_EMPTY(" is empty"),
    IS_NOT_EMPTY(" is not empty"),
    MEMBER_OF(" member of "),
    NOT_MEMBER_OF(" not member of "),
    IS_NULL(" is null"),
    IS_NOT_NULL(" is not null"),
    NOT_IN(" not in "),
    IN(" in "),
    NOT_LIKE(" not like "),
    LIKE(" like "),
    EQUALS(" = "),
    NOT_EQUALS(" != "),
    GREATER_THAN(" > "),
    GREATER_THAN_OR_EQUAL_TO(" >= "),
    LESS_THAN(" < "),
    LESS_THAN_OR_EQUAL_TO(" <= ");

    private final String text;

    private ComparisonOperator(String text) {
        this.text = text;
    }

    /**
     * The jpql text to render.
     *
     * @return jpql text.
     */
    public String getText() {
        return text;
    }
}
